package api_key

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/api_key"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /api_key/delete api_key DeleteApiKey
//
// Delete api_key information | 删除ApiKey信息
//
// Delete api_key information | 删除ApiKey信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDsReq
//
// Responses:
//  200: BaseMsgResp

func DeleteApiKeyHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDsReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := api_key.NewDeleteApiKeyLogic(r.Context(), svcCtx)
		resp, err := l.DeleteApiKey(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
